From adefa8a86ddc2a748ade65184262e4e6d94d71f4 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jul 31 2017 11:27:11 +0000
Subject: [PATCH 914/1001] Widget cache must be rebuilt on config change


---

diff --git a/hubs/widgets/caching.py b/hubs/widgets/caching.py
index 02abde3..10b7903 100644
--- a/hubs/widgets/caching.py
+++ b/hubs/widgets/caching.py
@@ -55,6 +55,7 @@ class CachedFunction(object):
         return "|".join([
             str(self.instance.idx),
             self.__class__.__name__,
+            str(dict(self.instance.config)),
         ]).encode('utf-8')
 
     def get_data(self):

